Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.slide.search
Class IndexTrigger

    java.lang.Object
      org.apache.slide.search.IndexTrigger

All Implemented Interfaces:
  Configurable, EventCollectionListener, java.util.EventListener

public class IndexTrigger
extends java.lang.Object
implements EventCollectionListener, Configurable

Version:
  $Revision: 1.3 $

Nested Class Summary
`(package private) class` | `IndexTrigger.IndexerMapping`

Field Summary
`protected java.util.List` | `indexers`
`protected static java.lang.String` | `LOG_CHANNEL`

Constructor Summary
`IndexTrigger()`

Method Summary
`void` | `collected(EventCollection collection)`
`void` | `configure(Configuration configuration)`
`void` | `vetoableCollected(EventCollection collection)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LOG_CHANNEL

    protected static final java.lang.String LOG_CHANNEL

### indexers

    protected java.util.List indexers

Constructor Detail

### IndexTrigger

    public IndexTrigger()

Method Detail

### configure

    public void configure(Configuration configuration)
                   throws ConfigurationException

  Specified by:
    `configure` in interface `Configurable`
  Throws:
    `ConfigurationException`

### vetoableCollected

    public void vetoableCollected(EventCollection collection)
                           throws VetoException

  Specified by:
    `vetoableCollected` in interface `EventCollectionListener`
  Throws:
    `VetoException`

### collected

    public void collected(EventCollection collection)

  Specified by:
    `collected` in interface `EventCollectionListener`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD